

#!/usr/bin/python
## dist_to_audio.py

## d9.py

### 5/13/19  version 9 stops playing for the same distance.
### d10  add recording played files
### Move GPIO ports 7->13 and 11->15
###  d12 changed the gain
### d12  Added thread
### d13 added time to logfile.txt
### d14  cosmedic changes\

import RPi.GPIO as GPIO
import time
import os
import threading
import datetime
gain = str(-1200)
last_distance =0.0  ## to stop repeating audio playback

#######################  threading 

def play_clip():
    playing_clip = 1
    zzz = 'omxplayer ' + '--vol -1800 --loop ' +'distance_audio_clips/eerie.mp3'
    print zzz
    os.system(zzz)

threading.Thread(target=play_clip).start() #Plays background music
#########################

a=1
while a==1:

###########################  measures the distancec
    try:
        GPIO.setmode(GPIO.BOARD)
        PIN_TRIGGER = 13    ## was 7
        PIN_ECHO = 15     ## was 11
        GPIO.setup(PIN_TRIGGER, GPIO.OUT)
        GPIO.setup(PIN_ECHO, GPIO.IN)
        GPIO.output(PIN_TRIGGER, GPIO.LOW)
        print "Waiting for sensor to settle"
        file = open ('/home/pi/distance/logfile.txt','a')
        time.sleep(2)
        print "Calculating distance"
        GPIO.output(PIN_TRIGGER, GPIO.HIGH)
        time.sleep(0.00001)
        GPIO.output(PIN_TRIGGER, GPIO.LOW)
        while GPIO.input(PIN_ECHO)==0:
                pulse_start_time = time.time()
        while GPIO.input(PIN_ECHO)==1:
                pulse_end_time = time.time()

        pulse_duration = pulse_end_time - pulse_start_time
        distance = round(pulse_duration * 17150, 2)/(2.54*12)
        print "Distance:",round(distance,2),"ft."
            ############### Creates filename
        int_part=distance//1                #Find the integer part in the form xyz.0
        print int_part
        str_int_part=str(int_part)          #convert to string
        print 'xxx'+str_int_part[0:2] +'xxx'
        filename =str_int_part[0:len(str_int_part)-2] +'.mp3' #Make filename
        print filename
        ### Stops replaying for same distance
        if last_distance <> int_part:   # ie the distace has changed
            
            xxx='omxplayer -o local --vol '+gain+ ' distance_audio_clips/'+filename
            os.system(xxx)
            ttime = datetime.datetime.now()
            
            file.write(filename + '   '+str(ttime)[0:19]+'\n')
        last_distance =int_part
        file.close()
        ####


        
            
        
    finally:
        GPIO.cleanup()


    print "Program Finished!!"

loop
